@import '../app.scss';

.container__content {
    min-height: 100%;
}

.container__profile {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    text-align: center;
}

.container__profile h1 {
    margin: 20px;
}

.card__profile {
    background-color: $secondary;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 20px 20px 0 20px;
    width: 400px;
}

.avatar__profile {
    border-radius: 5px 5px 0 0;
}

.container__profile__infos {
    margin: 10px;
}

.profile__infos {
    color: $third;
}

.profile__infos p {
    color: $fourth;
}

.label__profile__info {
    font-weight: bold;
    text-transform: uppercase;
    color: $primary;
}

.container__profile__button {
    padding: 10px;
    border: solid $secondary 5px;
    background-color: $third;
    display: flex;
    justify-content: center;
    border-radius: 0 0 5px 5px;
    width: 400px;
}

.profile__button {
    background-color: $primary;
    color: $third;
    text-decoration: none;
    margin: 5px;
    padding: 10px;
    transition: 0.3s;
    border-radius: 5px;
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
}

.profile__button:hover {
    background-color: $primary-hover;
    color: $third;
}

.profile__button__delete {
    background-color: $primary;
    color: $third;
    text-decoration: none;
    margin: 5px;
    padding: 11px;
    font-size: 16px;
    transition: 0.3s;
    border-radius: 5px;
    border: none;
    cursor: pointer;
}

.profile__button__delete:hover {
    background-color: $primary-hover;
    color: $third;
}

.container__back__button {
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 20px;
}

.backButton {
    background-color: $primary;
    color: $third;
    text-decoration: none;
    margin: 5px;
    width: 400px;
    padding: 20px;
    text-align: center;
    transition: 0.3s;
    border-radius: 5px;
    cursor: pointer;
}

.backButton:hover {
    background-color: $primary-hover;
    color: $third;
}

@media (max-width: 590px) {
    .container__profile h1 {
        font-size: 1.8em;
    }

    .card__profile {
        width: 300px;
    }
    
    .container__profile__button {
        width: 300px;
    }

    .backButton {
        width: 300px;
    }
}
